Niche

Ubuntu 18.10 - Complete failure to get Synergy 1 or 2 working

5 posts in this topic

This is a relatively fresh install of Ubuntu 18.10. The .deb file remains forever at 0% when installing either Synergy 1 or 2 through the GUI.

When installing through the CLI, for Synergy 1 I get:

sudo dpkg -i synergy_1.10.1.stable_b87+8941241e_debian_amd64.deb
(Reading database ... 195005 files and directories currently installed.)
Preparing to unpack synergy_1.10.1.stable_b87+8941241e_debian_amd64.deb ...
Unpacking synergy (1.10.1.stable~b87+8941241e) over (1.10.1.stable~b87+8941241e) ...
dpkg: dependency problems prevent configuration of synergy:
synergy depends on libavahi-compat-libdnssd1 (>= 0.6.16); however:
  Package libavahi-compat-libdnssd1 is not installed.

dpkg: error processing package synergy (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-3ubuntu3) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Errors were encountered while processing:
synergy

 

Synergy 2 appears to install correctly through the CLI but when I open the application I get:

Failed to launch "Synergy"
Failed to fork (Cannot allocate memory)

 

I would really rather get Synergy 1 working as I find it much more polished and it's the one I use on the systems that will be interacting with this Ubuntu server.

Please help, thank you.

Share this post


Link to post
Share on other sites

Hello @Niche can you please try installing Synergy downloading the app from the Symless.com web page and using Linux UI?

Share this post


Link to post
Share on other sites
4 minutes ago, Daniel Alarcon said:

Hello @Niche can you please try installing Synergy downloading the app from the Symless.com web page and using Linux UI?

Yes. As mentioned, both installers (1 & 2) through the UI remain at 0% during the installation indefinitely. 

Share this post


Link to post
Share on other sites

same here.. fresh ubuntu install and synergy 1 downloaded from website.. 

Share this post


Link to post
Share on other sites

If you have this specific issue, please try the following:

sudo apt-get install libavahi-compat-libdnssd1

Then try to run the install for synergy again.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now